# Get the readiness status for accepting Online Orders **GET /o/op/1/onlineOrderReadiness** Returns the status of the Online Order readiness for a specific business location id. See the [Online Order Readiness guide](https://api-portal.lsk.lightspeed.app/guides/integration-guides/online-ordering/online-order-readiness/online-order-readiness-setup) for setup and webhook integration details. ## Servers - Demo URL: https://api.trial.lsk.lightspeed.app (Demo URL) - Production URL: https://api.lsk.lightspeed.app (Production URL) ## Authentication methods - O auth2 ## Parameters ### Query parameters - **businessLocationId** (integer(int64)) The unique identifier for the business location ## Responses ### 200 OK #### Body: application/json (object) - **status** (string) Indicates if the business location is ready for accepting online orders - **lastUpdatedAt** (string(date-time)) Timestamp when readiness status was calculated - **onlineOrderingApiConfiguration** (object) Online Ordering API configuration - **posStatus** (object) POS status for accepting online orders ### 400 Bad Request #### Body: application/json (object) - **timestamp** (string(date-time)) The date and time at which the error occurred. - **status** (integer) The HTTP status code associated with the error. - **error** (string) A short description of the HTTP status code meaning. - **message** (string) A human-readable message providing more details about the error. - **path** (string) The request path where the error occurred. [Powered by Bump.sh](https://bump.sh)